import { ListPage } from "./list.po";
import { CalculatorPage } from "./calculator.po";
import { Navbar } from "./navbar.po";
import { browser, by, element } from "protractor";
import { PreferencesPage } from "./preferences.po";
import { SideNav } from "./sidenav.po";

/**
 * Calculate all modules of all examples
 */
describe("ngHyd − example sessions −", async () => {

    let listPage: ListPage;
    let calcPage: CalculatorPage;
    let navbar: Navbar;
    let prefPage: PreferencesPage;
    let sideNav: SideNav;

    beforeAll(() => {
        jasmine.DEFAULT_TIMEOUT_INTERVAL = 100 * 1000;
        listPage = new ListPage();
        calcPage = new CalculatorPage();
        navbar = new Navbar();
        prefPage = new PreferencesPage();
        sideNav = new SideNav();
    });

    it("calcul de tous les modules de tous les exemples −", async () => {
        // disable evil option "empty fields on module creation"
        await prefPage.navigateTo();
        await prefPage.disableEvilEmptyFields();
        await browser.sleep(200);

        // for each calculator
        let lastExampleFound = true;
        let i = 0;
        while (lastExampleFound) {
            if (i == 0) {
                // start page
                await navbar.clickNewCalculatorButton();
                await browser.sleep(200);
            }
            else {
                // empty session
                await navbar.clickMenuButton();
                await browser.sleep(200);
                await sideNav.clickNewSessionButton();
                await browser.sleep(1000);
            }

            const examples = await element.all(by.css("#examples-list .load-example"));
            await browser.sleep(200);
            if (examples.length > i) {
                // click example #i
                await examples[i].click();
                await browser.sleep(200);

                const nbModules = await navbar.getCalculatorEntriesCount();
                await browser.sleep(200);
                for (let j = 0; j < nbModules; j++) {
                    // select module
                    await navbar.openNthCalculator(j);
                    await browser.sleep(50);
                    // calculate module
                    await calcPage.getCalculateButton().click();
                    // check results
                    const hasResults = await calcPage.hasValidResults();
                    expect(hasResults).toBe(true, `example ${i + 1}, module ${j + 1} (starting at 1)`);
                }
            } else {
                // no more examples
                lastExampleFound = false;
            }
            i++;
        }

    });

});
