#!/bin/bash

set -o errexit

# deploie l'appli sur le serveur $3 (user $2/mot de passe $5) dans le dossier $4 et met à jour le fichier index.html
# si la version est "stable"

if (( $# < 4 || $# > 5 )); then
    echo "usage: $0 <version> <login> <server> <path> [<password>]"
    exit 1
fi

VERSION="$1"
LOGIN="$2"
HOST="$3"
DIR="$4"
PASS="$5"

echo "$(basename $0): deploying version $VERSION in $LOGIN@$HOST:$DIR"

if [[ $VERSION == "stable" ]]; then
  # Copie de la branche production
  rsync -a --delete --exclude=cassiopee-releases -e "ssh -o StrictHostKeyChecking=no" dist/ ${LOGIN}@${HOST}:${DIR}/

  # Modification du dossier base href
  echo "updating index.html"
  ssh $LOGIN@$HOST "sed -i 's:/cassiopee/stable/:/:g' $DIR/index.html"
else
  # Copie de la branche / du tag
  rsync -a --delete --exclude=cassiopee-releases -e "ssh -o StrictHostKeyChecking=no" "dist/" "$LOGIN@$HOST:$DIR/$VERSION"
fi
